Page MenuHomePhabricator

Adds support for Aarch64 hardware watchpoints
ClosedPublic

Authored by omjavaid on May 12 2015, 7:05 AM.

Details

Summary

This patch adds support for setting hardware watchpoints on aarch64 targets.

Still work in progress this patch adds the bits required but may need a few missing things that will be added in follow up patches.

Diff Detail

Event Timeline

omjavaid updated this revision to Diff 25588.May 12 2015, 7:05 AM
omjavaid retitled this revision from to Adds support for Aarch64 hardware watchpoints.
omjavaid updated this object.
omjavaid edited the test plan for this revision. (Show Details)
omjavaid added a subscriber: Unknown Object (MLST).
omjavaid updated this revision to Diff 25589.May 12 2015, 7:14 AM

Adding full context diff.

clayborg accepted this revision.May 12 2015, 10:38 AM
clayborg edited edge metadata.

Looks good.

This revision is now accepted and ready to land.May 12 2015, 10:38 AM
tberghammer accepted this revision.May 14 2015, 10:11 AM
tberghammer edited edge metadata.

LGTM

tberghammer closed this revision.May 22 2015, 6:00 AM